'use strict';

const compilerSFC = require('@vue/compiler-sfc');
require('lodash');
const minify = require('html-minifier').minify;

module.exports = function (resoures) {
  const sfc = compilerSFC.parse(resoures);
  const styles = sfc.descriptor.styles;

  var styleList = [];

  styles.forEach(item => {
    styleList.push(`<style>${item.content}</style>`);
  });

  var stylesTags = styleList.join('');

  stylesTags = minify(stylesTags, { removeComments: true, collapseWhitespace: true, minifyJS: true, minifyCSS: true });

  return `
    module.exports = {
      default: \`${stylesTags}\`
    }
  `;
};
