var path = require('path')

module.exports = function (resoures) {
  const { resourcePath } = this;

  let scriptImport = (
    `var script = require('!!babel-loader!${path.resolve(__dirname, './selector.js')}?type=script!${resourcePath}')`
  );

  let templateImport = (
    `var template = require('!!${path.resolve(__dirname, './template.js')}!${path.resolve(__dirname, './selector.js')}?type=template!${resourcePath}')`
  );

  let styleImport = (
    `var style = require('!!css-loader!${path.resolve(__dirname, './selector.js')}?type=style!${resourcePath}')`
  );

  let componentImport = (
    `var components = require('!!${path.resolve(__dirname, './component.js')}!${resourcePath}')`
  );


  return `
    ${scriptImport}
    ${templateImport}
    ${styleImport}
    ${componentImport}

    module.exports = {
      template: template.default,
      styles: '<style>' + style.default[0][1] + '</style>',
      ready: script.default,
      components: components.default,
    };
  `;
};